JTS Topology Suite version 1.13

## com.vividsolutions.jts.index.quadtree
Class Key

    java.lang.Object
      com.vividsolutions.jts.index.quadtree.Key

    public class Key

extends java.lang.Object

A Key is a unique identifier for a node in a quadtree. It contains a lower-left point and a level number. The level number is the power of two for the size of the node envelope

Version:
  1.7

Constructor Summary
`Key(Envelope itemEnv)`

Method Summary
`void` `computeKey(Envelope itemEnv)` return a square envelope containing the argument envelope, whose extent is a power of two and which is based at a power of 2
`static int` `computeQuadLevel(Envelope env)`
`Coordinate` `getCentre()`
`Envelope` `getEnvelope()`
`int` `getLevel()`
`Coordinate` `getPoint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Key

    public Key(Envelope itemEnv)

Method Detail

### computeQuadLevel

    public static int computeQuadLevel(Envelope env)

### getPoint

    public Coordinate getPoint()

### getLevel

    public int getLevel()

### getEnvelope

    public Envelope getEnvelope()

### getCentre

    public Coordinate getCentre()

### computeKey

    public void computeKey(Envelope itemEnv)

  return a square envelope containing the argument envelope, whose extent is a power of two and which is based at a power of 2

JTS Topology Suite version 1.13